<?php
 
 use PHPMailer\PHPMailer\PHPMailer;
 use PHPMailer\PHPMailer\Exception;
 
 require 'PHPMailer/src/Exception.php';
 require 'PHPMailer/src/PHPMailer.php';
 require 'PHPMailer/src/SMTP.php';

 //Recebe os parâmetros passados pelo formulário para poder criar a mensagem a ser enviada.
 $identificacao = $_POST['ftp-solicitante'];
 $solicitacao = $_POST['ftp-solicitacao'];
 $nome = $_POST['fnome'];
 $telefone = $_POST['ftelefone'];
 $celular = $_POST['fcelular'];
 $email = $_POST['femail'];
 $endereco = $_POST['flogradouro'];
 $num_endereco = $_POST['fnlogradouro'];
 $bairro = $_POST['fbairro'];
 $cep = $_POST['fcep'];
 $uf = $_POST['fuf-contato'];
 $cidade = $_POST['fcidade'];
 $mensagem = $_POST['fmensagem'];
 if(isset($_POST['g-recaptcha-response'])) {
    $captcha_data = $_POST['g-recaptcha-response'];
 }
 $resposta = file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=6LdHRbYaAAAAANATx2d6dtIDScOawjAYGFccKw7Z&response=".$captcha_data."&remoteip=".$_SERVER['REMOTE_ADDR']);

 switch($identificacao) {
     case "i":
        $solicitante = "Solicitante Identificado";
        break;
     case "s":
        $solicitante = "Solicitante Sigiloso";
        break;
     case "a":
        $solicitante = "Solicitante Anônimo";
        break;
     default:
        $solicitante = "";
 }
 
 if($identificacao == "a"){
    $body_content = "$solicitante <br/>Tipo da Solicitação: $solicitacao <br/>Endereço: $cidade, $uf <br/>Mensagem: $mensagem";
 } else {
    $body_content = "$solicitante <br/>Tipo da Solicitação: $solicitacao <br/>Nome do Solicitante: $nome <br/>Telefone: $telefone <br/>Celular: $celular <br/>E-mail: $email <br/>Endereço: $endereco, $num_endereco - $cidade, $uf - CEP: $cep <br/>Mensagem: $mensagem";
 }
     
 if (!$captcha_data) {
    echo "Por favor, confirme o captcha.";
    exit;
 }

 if ($resposta.success) {
    $mail = new PHPMailer;
    $mail->CharSet = 'UTF-8';
    $mail->isSMTP();
    $mail->SMTPDebug = 0; // 0 = off (for production use) - 1 = client messages - 2 = client and server messages
    $mail->Host = "mail.cisamusep.org.br"; // use $mail->Host = gethostbyname('smtp.gmail.com'); // if your network does not support SMTP over IPv6
    $mail->Port = 587; // TLS only
    $mail->SMTPSecure = 'tls'; // ssl is depracated
    $mail->SMTPAuth = true;
    $mail->Username = "naoresponda@cisamusep.org.br";
    $mail->Password = "cisa2012@2012*";
    $mail->setFrom("naoresponda@cisamusep.org.br", "Cisamusep");
    $mail->addAddress("ouvidoria@cisamusep.org.br", "Cisamusep");
    $mail->Subject = 'Solicitação da Ouvidoria';
    $mail->msgHTML($body_content); //$mail->msgHTML(file_get_contents('contents.html'), __DIR__); //Read an HTML message body from an external file, convert referenced images to embedded,
    $mail->AltBody = 'HTML messaging not supported';
    // $mail->addAttachment('images/phpmailer_mini.png'); //Attach an image file
    
    if(!$mail->send()){
        echo "Mailer Error: " . $mail->ErrorInfo;
    }else{
        echo "Message sent!";
    }
 }